use bracket_lib::prelude::*;
use hecs::World;

use crate::{components::*, constants::*};

pub fn draw(world: &World, bterm: &mut BTerm) {
    for (_, (pos, render)) in &mut world.query::<(&Position, &Renderable)>() {
        bterm.set(
            pos.x + MAP_X as i32,
            pos.y + MAP_Y as i32,
            render.fg,
            render.bg,
            render.glyph,
        );
    }
}
